2011年8月30日

[vine-users:081345] Re5: audaciousが動かない

> ご自分で rebuild されて問題を解決した後で恐縮ですが、もう一度 apt から
> 再インストールして不正命令例外を再現させることは可能でしょうか?
 synapticを使って、audacious関連を削除してから、インストールしなおした
ら再現できました。

> 不正命令例外が発生したときには、dmesg や /var/log/messages に
> "trap invalid opcode" といったメッセージが残ります。
 どちらも確認しましたが、そのようなメッセージはありませんでした。


 tail -f /var/log/messageしていると
---------------------------------------------------------------------
Aug 30 15:42:57 dual nagios: Warning: Return code of 127 for check of
service 'SSH' on host 'localhost' was out of bounds. Make sure the
plugin you're trying to run actually exists.

Aug 30 15:43:57 dual nagios: Warning: Return code of 127 for check of
service 'PING' on host 'localhost' was out of bounds. Make sure the
plugin you're trying to run actually exists.
---------------------------------------------------------------------
 というようなエラーが出ていましたが、audaciousには関係ないのかと思って
います。

 その後、いくつか試したところ、
---------------------------------------------------------------------
$ audacious xxx.MP3
madplug: Skipping 417 bytes over broken frame
不正な命令です

$ audacious2 xxx.MP3
madplug: Skipping 417 bytes over broken frame
不正な命令です
---------------------------------------------------------------------
MP3ファイルによって、madplug〜〜のエラーが表示されるものと、されないもの
がありました。規則性は不明です。


> $ ldd /usr/bin/audacious /usr/bin/audacious2
> の結果も送って下さい。
 そのまま貼り付けます。
---------------------------------------------------------------------
# ldd /usr/bin/audacious /usr/bin/audacious2
/usr/bin/audacious:
linux-gate.so.1 => (0xffffe000)
libaudclient.so.2 => /usr/lib/libaudclient.so.2 (0xb775e000)
libaudcore.so.1 => /usr/lib/libaudcore.so.1 (0xb774d000)
libSM.so.6 => /usr/lib/libSM.so.6 (0xb7745000)
libICE.so.6 => /usr/lib/libICE.so.6 (0xb772c000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7612000)
libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb760c000)
librt.so.1 => /lib/librt.so.1 (0xb75e2000)
libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb71ad000)
libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7105000)
libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb70e7000)
libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb6faf000)
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6f84000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb6f65000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6f59000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6eaa000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6e60000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6dcb000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6d97000)
libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb6d4d000)
libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb6d49000)
libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb6d23000)
libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb6cd8000)
libpthread.so.0 => /lib/libpthread.so.0 (0xb6cbe000)
libmowgli.so.2 => /usr/lib/libmowgli.so.2 (0xb6cb0000)
libmcs.so.1 => /usr/lib/libmcs.so.1 (0xb6cad000)
libonig.so.2 => /usr/lib/libonig.so.2 (0xb6c63000)
libc.so.6 => /lib/libc.so.6 (0xb6af1000)
libm.so.6 => /lib/libm.so.6 (0xb6ac9000)
/lib/ld-linux.so.2 (0xb7765000)
libXext.so.6 => /usr/lib/libXext.so.6 (0xb6ab8000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb6aaf000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6aac000)
libXi.so.6 => /usr/lib/libXi.so.6 (0xb6a9d000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6a95000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6a8b000)
libX11.so.6 => /usr/lib/libX11.so.6 (0xb695b000)
libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6958000)
libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb6955000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb694f000)
libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb6928000)
libffi.so.5 => /usr/lib/libffi.so.5 (0xb6922000)
libdl.so.2 => /lib/libdl.so.2 (0xb691d000)
libresolv.so.2 => /lib/libresolv.so.2 (0xb6905000)
libz.so.1 => /usr/lib/libz.so.1 (0xb68ef000)
libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6874000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb684e000)
libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6830000)
libXau.so.6 => /usr/lib/libXau.so.6 (0xb682c000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6826000)
/usr/bin/audacious2:
linux-gate.so.1 => (0xffffe000)
libaudclient.so.2 => /usr/lib/libaudclient.so.2 (0xb7840000)
libaudcore.so.1 => /usr/lib/libaudcore.so.1 (0xb782f000)
libSM.so.6 => /usr/lib/libSM.so.6 (0xb7827000)
libICE.so.6 => /usr/lib/libICE.so.6 (0xb780e000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb76f4000)
libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb76ee000)
librt.so.1 => /lib/librt.so.1 (0xb76c4000)
libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb728f000)
libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb71e7000)
libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb71c9000)
libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb7091000)
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7066000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7047000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb703b000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6f8c000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb6f42000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6ead000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6e79000)
libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb6e2f000)
libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb6e2b000)
libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb6e05000)
libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb6dba000)
libpthread.so.0 => /lib/libpthread.so.0 (0xb6da0000)
libmowgli.so.2 => /usr/lib/libmowgli.so.2 (0xb6d92000)
libmcs.so.1 => /usr/lib/libmcs.so.1 (0xb6d8f000)
libonig.so.2 => /usr/lib/libonig.so.2 (0xb6d45000)
libc.so.6 => /lib/libc.so.6 (0xb6bd3000)
libm.so.6 => /lib/libm.so.6 (0xb6bab000)
/lib/ld-linux.so.2 (0xb7847000)
libXext.so.6 => /usr/lib/libXext.so.6 (0xb6b9a000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb6b91000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6b8e000)
libXi.so.6 => /usr/lib/libXi.so.6 (0xb6b7f000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6b77000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb6b6d000)
libX11.so.6 => /usr/lib/libX11.so.6 (0xb6a3d000)
libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6a3a000)
libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb6a37000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6a31000)
libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb6a0a000)
libffi.so.5 => /usr/lib/libffi.so.5 (0xb6a04000)
libdl.so.2 => /lib/libdl.so.2 (0xb69ff000)
libresolv.so.2 => /lib/libresolv.so.2 (0xb69e7000)
libz.so.1 => /usr/lib/libz.so.1 (0xb69d1000)
libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb6956000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6930000)
libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6912000)
libXau.so.6 => /usr/lib/libXau.so.6 (0xb690e000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6908000)
---------------------------------------------------------------------


 この状態で
---------------------------------------------------------------------
# rpm -qa|grep auda
audacious-ffmpeg-2.3-2vl6.i686
audacious-libs-2.3-2vl6.i686
audacious-2.3-2vl6.i686
audacious-lame-2.3-2vl6.i686
audacious-devel-2.3-2vl6.i686
self-build-audacious-plugins-extra-2.3-2vl6.noarch
audacious-plugins-2.3-2vl6.i686
audacious-mad-2.3-2vl6.i686
audacious-aac-2.3-2vl6.i686
---------------------------------------------------------------------
今回はmadは入っているようです。

 しばらくはこのエラーの出る状態を保持しておきますので、必要な情報があれ
ば連絡頂ければと思います。


 Mike

On Mon, 29 Aug 2011 23:54:43 +0900
NAKAMURA Kenta <kenta@xxxxx> wrote:

> 中村です。
>
> On Sun, 28 Aug 2011 22:19:53 +0900
> unix@xxxxx wrote:
> >  私の使っているdual Pentium IIIはi686以降じゃないってオチはないですよ
> > ね。それだと悲しいですが。
>
> Pentium III でサポートされていない命令(例えば SSE2)が誤って入って
> いるのだと思われます。
> ご自分で rebuild されて問題を解決した後で恐縮ですが、もう一度 apt から
> 再インストールして不正命令例外を再現させることは可能でしょうか?
>
>
> 不正命令例外が発生したときには、dmesg や /var/log/messages に
> "trap invalid opcode" といったメッセージが残ります。
> audacious や audacious2 実行時のメッセージをお送り下さい。
>
> 例えば次の様なメッセージになります。
>
> > aessample64[3088] trap invalid opcode ip:401a2a sp:7fff2d637858 error:0 in aessample64[400000+6000]
>
> (これは intel AES-NI をサポートしてないマシンで、AES-NIを含む
> バイナリ aessample64 を実行したときの dmesg です)
>
>
> また、
> $ ldd /usr/bin/audacious /usr/bin/audacious2
> の結果も送って下さい。
>
> よろしくお願いします。
>
> ==================================================
> NAKAMURA Kenta / 中村健太
> Mail: kenta@xxxxx
> ==================================================
>
> _______________________________________________
> vine-users mailing list
> vine-users@xxxxx
> http://listserv.linux.or.jp/mailman/listinfo/vine-users
>
_______________________________________________
vine-users mailing list
vine-users@xxxxx
http://listserv.linux.or.jp/mailman/listinfo/vine-users


投稿者 xml-rpc : 2011年8月30日 15:56
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/106139
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。